## org.jfree.report.modules.gui.swing.common
Interface ActionPlugin

All Known Subinterfaces:
  ControlActionPlugin, ExportActionPlugin

All Known Implementing Classes:
  AboutActionPlugin, AbstractActionPlugin, AbstractExportActionPlugin, ExitActionPlugin, GoToActionPlugin, GoToFirstPageActionPlugin, GoToLastPageActionPlugin, GoToNextPageActionPlugin, GoToPreviousPageActionPlugin, HtmlFileExportActionPlugin, HtmlZipExportActionPlugin, PdfExportActionPlugin, PrintActionPlugin, ZoomCustomActionPlugin, ZoomInActionPlugin, ZoomListActionPlugin, ZoomOutActionPlugin

    public interface ActionPlugin

Creation-Date: 16.11.2006, 15:47:02

Author:
  Thomas Morgner

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` `addPropertyChangeListener(java.lang.String property, java.beans.PropertyChangeListener l)`
`javax.swing.KeyStroke` `getAcceleratorKey()` Returns the accelerator key for the export action.
`java.lang.String` `getDisplayName()` Returns the display name for the export action.
`javax.swing.Icon` `getLargeIcon()` Returns the large icon for the export action.
`int` `getMenuOrder()` A sort key used to enforce a certain order within the actions.
`java.lang.Integer` `getMnemonicKey()` Returns the mnemonic key code.
`java.lang.String` `getRole()`
`int` `getRolePreference()`
`java.lang.String` `getShortDescription()` Returns the short description for the export action.
`javax.swing.Icon` `getSmallIcon()` Returns the small icon for the export action.
`int` `getToolbarOrder()`
`boolean` `initialize(SwingGuiContext context)`
`boolean` `isAddToMenu()` Returns true if the action should be added to the menu, and false otherwise.
`boolean` `isAddToToolbar()` Returns true if the action should be added to the toolbar, and false otherwise.
`boolean` `isSeparated()` Returns true if the action is separated, and false otherwise.
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener l)`

Method Detail

### getDisplayName

    java.lang.String getDisplayName()

  Returns the display name for the export action.

  Returns:
    The display name.

### getShortDescription

    java.lang.String getShortDescription()

  Returns the short description for the export action.

  Returns:
    The short description.

### getSmallIcon

    javax.swing.Icon getSmallIcon()

  Returns the small icon for the export action.

  Returns:
    The icon.

### getLargeIcon

    javax.swing.Icon getLargeIcon()

  Returns the large icon for the export action.

  Returns:
    The icon.

### getAcceleratorKey

    javax.swing.KeyStroke getAcceleratorKey()

  Returns the accelerator key for the export action.

  Returns:
    The accelerator key.

### getMnemonicKey

    java.lang.Integer getMnemonicKey()

  Returns the mnemonic key code.

  Returns:
    The code.

### isSeparated

    boolean isSeparated()

  Returns true if the action is separated, and false otherwise.

  Returns:
    A boolean.

### isAddToToolbar

    boolean isAddToToolbar()

  Returns true if the action should be added to the toolbar, and false otherwise.

  Returns:
    A boolean.

### isAddToMenu

    boolean isAddToMenu()

  Returns true if the action should be added to the menu, and false otherwise.

  Returns:
    A boolean.

### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener l)

### addPropertyChangeListener

    void addPropertyChangeListener(java.lang.String property,
                                   java.beans.PropertyChangeListener l)

### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener l)

### getMenuOrder

    int getMenuOrder()

  A sort key used to enforce a certain order within the actions.

  Returns:

### getToolbarOrder

    int getToolbarOrder()

### getRole

    java.lang.String getRole()

### getRolePreference

    int getRolePreference()

### initialize

    boolean initialize(SwingGuiContext context)